Detect brand
Lightweight Firecrawl scrape — extracts colors, fonts, brand name from a domain.
POST
/api/projects/{id}/detect-brand
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Request Body
application/jsondomain
string
REQUIRED
Responses
200
Brand config detected
application/jsonbrandConfig
object
REQUIRED
colors
object
primary
string
REQUIRED
secondary
string
REQUIRED
accent
string
REQUIRED
background
string
REQUIRED
foreground
string
REQUIRED
fonts
object
heading
string
REQUIRED
body
string
REQUIRED
brandName
string
logoUrl
string
401
Authentication required
404
Project not found
500
Brand detection failed
curl -X POST 'https://motioness.com/api/projects/abc123/detect-brand' \ -H 'Content-Type: application/json' \ -d '{ "domain": "string"}'
const response = await fetch('https://motioness.com/api/projects/abc123/detect-brand', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "domain": "string" })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/projects/abc123/detect-brand', json={ "domain": "string"})print(response.json())
200
Response
{ "brandConfig": { "colors": { "primary": "<string>", "secondary": "<string>", "accent": "<string>", "background": "<string>", "foreground": "<string>" }, "fonts": { "heading": "<string>", "body": "<string>" }, "brandName": "<string>", "logoUrl": "<string>" }}
API Playground
Try this endpoint
POST
/api/projects/{id}/detect-brand